Package com.artofsolving.jodconverter.openoffice.converter

# Class StreamOpenOfficeDocumentConverter

java.lang.Object
com.artofsolving.jodconverter.openoffice.converter.AbstractOpenOfficeDocumentConverter
com.artofsolving.jodconverter.openoffice.converter.StreamOpenOfficeDocumentConverter

All Implemented Interfaces:
  `DocumentConverter`

public class StreamOpenOfficeDocumentConverter extends AbstractOpenOfficeDocumentConverter
Alternative stream-based `DocumentConverter` implementation.

This implementation passes document data to and from the OpenOffice.org service as streams.

Stream-based conversions are slower than the default file-based ones (provided by `OpenOfficeDocumentConverter`) but they allow to run the OpenOffice.org service on a different machine, or under a different system user on the same machine without file permission problems.

Warning! There is a bug in OpenOffice.org 2.2.x that causes some input formats, including Word and Excel, not to work when using stream-base conversions.

Use this implementation only if `OpenOfficeDocumentConverter` is not possible.

See Also:
  - `OpenOfficeDocumentConverter`

## Field Summary

### Fields inherited from class com.artofsolving.jodconverter.openoffice.converter.AbstractOpenOfficeDocumentConverter

`openOfficeConnection`

## Constructor Summary

Constructors
Constructor
Description
`StreamOpenOfficeDocumentConverter(OpenOfficeConnection connection)`
`StreamOpenOfficeDocumentConverter(OpenOfficeConnection connection, DocumentFormatRegistry formatRegistry)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`convertInternal(File inputFile, DocumentFormat inputFormat, File outputFile, DocumentFormat outputFormat)`
`protected void`
`convertInternal(InputStream inputStream, DocumentFormat inputFormat, OutputStream outputStream, DocumentFormat outputFormat)`

### Methods inherited from class com.artofsolving.jodconverter.openoffice.converter.AbstractOpenOfficeDocumentConverter

`convert, convert, convert, convert, getDefaultLoadProperties, getDocumentFormatRegistry, property, refreshDocument, setDefaultLoadProperty, toPropertyValues`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StreamOpenOfficeDocumentConverter

public StreamOpenOfficeDocumentConverter(OpenOfficeConnection connection)

### StreamOpenOfficeDocumentConverter

public StreamOpenOfficeDocumentConverter(OpenOfficeConnection connection, DocumentFormatRegistry formatRegistry)

## Method Details

### convertInternal

protected void convertInternal(File inputFile, DocumentFormat inputFormat, File outputFile, DocumentFormat outputFormat)

Specified by:
  `convertInternal` in class `AbstractOpenOfficeDocumentConverter`

### convertInternal

protected void convertInternal(InputStream inputStream, DocumentFormat inputFormat, OutputStream outputStream, DocumentFormat outputFormat)

Specified by:
  `convertInternal` in class `AbstractOpenOfficeDocumentConverter`